petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMDirection

Indicates a coordinate direction

### Synopsis

    typedef enum {DM_X, DM_Y, DM_Z} DMDirection;

### See Also

DMDAGetRay(), DMDAGetProcessorSubset(), DMPlexShearGeometry()

### Level

beginner

### Location

src/dm/../../include/petscdmtypes.h

### Examples

src/dm/tutorials/ex51.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages